package com.zhongzheng.modules.user.mapper;

import com.zhongzheng.modules.exam.vo.ExamArrangementTimeVo;
import com.zhongzheng.modules.user.bo.UserPlanQueryBo;
import com.zhongzheng.modules.user.domain.UserPlan;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.zhongzheng.modules.user.domain.UserPlanCource;
import com.zhongzheng.modules.user.vo.CoursePlanVo;

import java.util.List;

/**
 * 【请填写功能名称】Mapper接口
 *
 * @author ruoyi
 * @date 2021-06-24
 */
public interface UserPlanMapper extends BaseMapper<UserPlan> {

    CoursePlanVo selectByCourse(UserPlanQueryBo bo);

    ExamArrangementTimeVo selectByExam(Long categoryId);

    List<CoursePlanVo> selectByListCourse(UserPlanQueryBo bo);

    List<UserPlan> selectByUserPlan(UserPlanQueryBo bo);

    void insertSource(CoursePlanVo coursePlanVo);

    List<UserPlanCource> selectCourse(Long planId);

    Integer selectCountCourse(UserPlanQueryBo bo);

    List<Long> selectByCourseId(Long courseId);
}
